com.corticon.rulesemf.operationsmodel.util

## Class OperationsmodelSwitch

- java.lang.Object
- - com.corticon.rulesemf.operationsmodel.util.OperationsmodelSwitch

-     public class OperationsmodelSwitch
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `OperationsmodelPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static OperationsmodelPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationsmodelSwitch()` Creates an instance of the switch

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `caseAsset(Asset object)` Returns the result of interpreting the object as an instance of 'Asset'
    `java.lang.Object` | `caseExtendedOperatorSet(ExtendedOperatorSet object)` Returns the result of interpreting the object as an instance of 'Extended Operator Set'
    `java.lang.Object` | `caseMethod(Method object)` Returns the result of interpreting the object as an instance of 'Method'
    `java.lang.Object` | `caseOperatorNode(OperatorNode object)` Returns the result of interpreting the object as an instance of 'Operator Node'
    `java.lang.Object` | `caseOperatorTree(OperatorTree object)` Returns the result of interpreting the object as an instance of 'Operator Tree'
    `java.lang.Object` | `caseServiceCallout(ServiceCallout object)` Returns the result of interpreting the object as an instance of 'Service Callout'
    `java.lang.Object` | `caseStandAloneExtension(StandAloneExtension object)` Returns the result of interpreting the object as an instance of 'Stand Alone Extension'
    `java.lang.Object` | `caseTypeExtension(TypeExtension object)` Returns the result of interpreting the object as an instance of 'Type Extension'
    `java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
    `protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static OperationsmodelPackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### OperationsmodelSwitch

          public OperationsmodelSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(int classifierID,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseOperatorTree

          public java.lang.Object caseOperatorTree(OperatorTree object)

      Returns the result of interpreting the object as an instance of 'Operator Tree'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Operator Tree'.
      See Also:
        `doSwitch(EObject)`

    - #### caseOperatorNode

          public java.lang.Object caseOperatorNode(OperatorNode object)

      Returns the result of interpreting the object as an instance of 'Operator Node'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Operator Node'.
      See Also:
        `doSwitch(EObject)`

    - #### caseMethod

          public java.lang.Object caseMethod(Method object)

      Returns the result of interpreting the object as an instance of 'Method'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Method'.
      See Also:
        `doSwitch(EObject)`

    - #### caseExtendedOperatorSet

          public java.lang.Object caseExtendedOperatorSet(ExtendedOperatorSet object)

      Returns the result of interpreting the object as an instance of 'Extended Operator Set'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Extended Operator Set'.
      See Also:
        `doSwitch(EObject)`

    - #### caseStandAloneExtension

          public java.lang.Object caseStandAloneExtension(StandAloneExtension object)

      Returns the result of interpreting the object as an instance of 'Stand Alone Extension'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Stand Alone Extension'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTypeExtension

          public java.lang.Object caseTypeExtension(TypeExtension object)

      Returns the result of interpreting the object as an instance of 'Type Extension'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Type Extension'.
      See Also:
        `doSwitch(EObject)`

    - #### caseServiceCallout

          public java.lang.Object caseServiceCallout(ServiceCallout object)

      Returns the result of interpreting the object as an instance of 'Service Callout'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Service Callout'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAsset

          public java.lang.Object caseAsset(Asset object)

      Returns the result of interpreting the object as an instance of 'Asset'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Asset'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.